Bug 205815 - qla2xxx: synchronization with latest 2.6.18-rc6 driver
qla2xxx: synchronization with latest 2.6.18-rc6 driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 13:32 EDT by Andrew Vasquez
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 15:19:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Vasquez 2006-09-08 13:32:32 EDT
Description of problem:

Are any updates from recent (qla2xxx driver deltas) upstream 2.6.18-rc 
kernels going to be backported to RHEL5 kernels?  The current qla2xxx 
version sumitted upstream and inline for 2.6.18 is 8.01.07-k1.

The driver in RHEL5 beta 1 is 8.01.05-k3.  Here's the git-log deltas 
from the version:

15a3758dc9e1c9d862e46acdf607de70c302fa6a [SCSI] qla2xxx: Update version number
to 8.01.07-k1.
476e8978d9ccacfc911bd42e083dd784ad1465b1 [SCSI] qla2xxx: Properly re-enable EFT
support after an ISP abort.
9c06938aa458843fb71fa35371f23a3b89317252 [SCSI] qla2xxx: Correct PLOGI retry logic.
c2602c48b5ebde55b418ba252737bf60caa4bab0 [SCSI] qla2xxx: Update version number
to 8.01.05-k4.
b0328beed0786b07d0102ed59cbf0b54ad8f726b [SCSI] qla2xxx: Fix to allow to reset
devices using sg interface (sg_reset).
45ebeb560570fd7ebae29a4105b81874063d5425 [SCSI] qla2xxx: Log Trace/Diagonostic
asynchronous events.
b797b6de9d4d8d085169a507c54b18e74dbe4f21 [SCSI] qla2xxx: Correct endianess
problem while issuing a Marker IOCB on ISP24xx.
c4e00fac42f268ed0a547cdd1d12bb8399864040 Merge ../scsi-misc-2.6
1d6f359a2e06296418481239f8054a878f36e819 [PATCH] irq-flags: scsi: Use the new
IRQF_ constants
413975a0f1a43a896490fc5c589d05c95624c6d2 [SCSI] qla2xxx: make some more
functions static
900d9f98737b502fbd0303cfcab2773b465bb1f8 [SCSI] small whitespace cleanup for
qlogic driver
0418726bb5c7b5a70c7e7e82e860d5979d0c78cf typo fixes: aquire -> acquire
f28e71617ddaf2483e3e5c5237103484a303743f Merge ../linux-2.6/
76c1534e0bd78e9a7662edcf5c994bac63d939fd [SCSI] qla2xxx: Update version number
to 8.01.05-k3.


summary questions:

1) are scsi driver updates going to be backported to your RHEL5 beta 2 
   kernel tree?

2) If not will a qla2xxx driver patch from 8.01.05-k3 to 8.01.07-k1 suffice?
Comment 1 Dave Jones 2006-09-10 12:59:01 EDT
The final RHEL5 kernel will be based on the final 2.6.18 release, so if it's
already included upstream, we should be ok.
Current development tree (as can be seen in the Fedora kernel) is at
2.6.18rc6-git3 right now.  Newer RHEL5 builds will happen soon.
Comment 4 Jay Turner 2006-09-25 15:19:25 EDT
2.6.18-1.2685.el5 (which is part of the latest RHEL5 trees) includes qla2xxx
version 8.01.07-k1.

Note You need to log in before you can comment on or make changes to this bug.